cache-dir: /tmp/test

archs:
  - amd64
  - arm64
  - i386

distros:
  # Parent distributions
  trixie:
    bugs-url: https://bugs.debian.org/cgi-bin/pkgreport.cgi?repeatmerged=no&src=
    tracker-url: https://tracker.debian.org/pkg/
    sources.list: |
      Types: deb deb-src
      URIs: http://deb.debian.org/debian
      Suites: trixie trixie-updates trixie-proposed-updates
      Components: main contrib non-free non-free-firmware

      Types: deb
      URIs: http://deb.debian.org/debian
      Suites: trixie trixie-updates trixie-proposed-updates
      Components: main/debian-installer contrib/debian-installer non-free/debian-installer non-free-firmware/debian-installer

      Types: deb deb-src
      URIs: http://deb.debian.org/debian-security
      Suites: trixie-security
      Components: main contrib non-free non-free-firmware

      Types: deb
      URIs: http://deb.debian.org/debian-security
      Suites: trixie-security
      Components: main/debian-installer contrib/debian-installer non-free/debian-installer non-free-firmware/debian-installer
  sid:
    bugs-url: https://bugs.debian.org/cgi-bin/pkgreport.cgi?repeatmerged=no&src=
    tracker-url: https://tracker.debian.org/pkg/
    sources.list: |
      Types: deb deb-src
      URIs: http://deb.debian.org/debian
      Suites: sid experimental
      Components: main contrib non-free non-free-firmware

      Types: deb
      URIs: http://deb.debian.org/debian
      Suites: sid experimental
      Components: main/debian-installer contrib/debian-installer non-free/debian-installer non-free-firmware/debian-installer
    preferences: |
      Package: src:git:any
      Pin: version /next/
      Pin-Priority: -1

      Package: src:libreoffice:any
      Pin: version /rc2/
      Pin-Priority: -1

      Package: src:util-linux:any
      Pin: version /rc1/
      Pin-Priority: -1

  # Derivative distributions
  horok:
    parent: trixie
    vendor-suffix: progress
    sources.list: |
      Types: deb deb-src
      URIs: https://archive.progress-linux.org/packages
      Suites: horok horok-security horok-updates horok-proposed-updates
      Components: main contrib non-free non-free-firmware

      Types: deb
      URIs: https://archive.progress-linux.org/packages
      Suites: horok horok-security horok-updates horok-proposed-updates
      Components: main/debian-installer contrib/debian-installer non-free/debian-installer non-free-firmware/debian-installer

      Types: deb deb-src
      URIs: https://archive.progress-linux.org/packages
      Suites: horok-extras
      Components: main contrib non-free non-free-firmware restricted

      Types: deb
      URIs: https://archive.progress-linux.org/packages
      Suites: horok-extras
      Components: main/debian-installer contrib/debian-installer non-free/debian-installer non-free-firmware/debian-installer
  horok-backports:
    parent: sid
    vendor-suffix: progress
    sources.list: |
      Types: deb deb-src
      URIs: https://archive.progress-linux.org/packages
      Suites: horok-backports
      Components: main contrib non-free non-free-firmware

      Types: deb
      URIs: https://archive.progress-linux.org/packages
      Suites: horok-backports
      Components: main/debian-installer contrib/debian-installer non-free/debian-installer non-free-firmware/debian-installer

      Types: deb deb-src
      URIs: https://archive.progress-linux.org/packages
      Suites: horok-backports-extras
      Components: main contrib non-free non-free-firmware restricted

      Types: deb
      URIs: https://archive.progress-linux.org/packages
      Suites: horok-backports-extras
      Components: main/debian-installer contrib/debian-installer non-free/debian-installer non-free-firmware/debian-installer
package-sets:
  base-system:
    - man-db
    - molly-guard
    - pam
    - screen
    - shadow
    - sudo
    - util-linux
  bash:
    - bash
    - readline
  bfh:
    - bfh-tools
    - bfh-ssp-tools
    - bfh-ssp
    - cherrypy-foundation
  chrony:
    - chrony
  cryptography:
    - coreutils
    - lynx
    - wget
  debian:
    - apt
    - base-files
    - debootstrap
    - devscripts
    - dpkg
    - tasksel
  derivatives:
    - debian-fastforward
    - derivative-dist-compare
    - progress-linux
    - progress-linux-metapackages
    - bfh-metapackages
    - kinet-metapackages
  desktop:
    - gimp
    - inkscape
    - libdvdcss
    - pipewire
  geekbench:
    - geekbench-ai-amd64
    - geekbench-amd64
    - geekbench-arm64
  git:
    - git
    - irker
  gnome:
    - gdm3
    - gedit
    - gnome-control-center
    - gnome-initial-setup
    - gnome-session
    - gnome-settings-daemon
    - gnome-shell
    - gnome-shell-extension-impatience
    - gnome-software
    - gnome-system-monitor
    - gnome-terminal
    - gsettings-desktop-schemas
    - meta-gnome3
    - mutter
    - nautilus
    - xdg-user-dirs
  httpd:
    - apache2
  icinga:
    - nagios-nrpe
  intel:
    - intel-e810-firmware-amd64
    - intel-e810-firmware-arm64
    - intel-x710-firmware-amd64
  knot:
    - bind9
    - knot
    - knot-resolver
  libreoffice:
    - libreoffice:
      - java-websocket
      - libixion
      - liborcus
      - libxml2
      - mdds
  linux:
    - coreutils
    - cryptsetup
    - grub2
    - linux
    - linux-base
  mail:
    - exim4
    - postfix
  mozilla:
    - privacybadger
  open-infrastructure:
    - open-infrastructure-service-tools
  openssh:
    - libfido2
    - openssh
  openstack:
    - python-binary-memcached
    - python-eventlet
    - python-oslo.cache
  powerline:
    - powerline:
    - powerline-gitstatus
    - powerline-fonts
  supermicro:
    - supermicro-ipmicfg-amd64
  systemd:
    - init-system-helpers
    - systemd
    - systemd-udeb
  vim:
    - vim
    - vim-nftables
  virtualbox:
    - vboxmanage-bash-completion
    - virtualbox:
      - kbuild
    - virtualbox-ext-pack
    - virtualbox-extension-pack-amd64
    - virtualbox-guest-additions-iso
